.slider {
  position: relative;
  display: flex;
  flex-wrap: wrap;
  //align-items: center;

  .flickity-viewport {
    order: 0;
    flex: 0 0 100%;

    @media (min-width: 1024px) {
      margin-bottom: 1rem;
    }
  }

  .flickity-prev-next-button {
    svg {
      display: none;
    }

    outline: 0;
    border: 0;
    background: none;

    top: 50%;
    margin-top: -13px;
    font-size: 18px;

    -webkit-transition: all 0.25s ease-in;
    -moz-transition: all 0.25s ease-in;
    -ms-transition: all 0.25s ease-in;
    -o-transition: all 0.25s ease-in;
    transition: all 0.25s ease-in;
    position: absolute;
    z-index: 2;
    top: 20px;
    background: none;
    border: 0;
    font-size: 32px;
    cursor: pointer;

    left: 0;
    top: 0;
    color: #fff;
    font-size: 26px;
    bottom: 0;
    margin-top: 0;
    padding: 5px;

    &.previous {
      position: absolute;
      left: $global-padding-mobile * 2;
      top: auto;
      bottom: 1rem;
      flex: 0 1 auto;
      margin: 0 1rem 0 auto;
      width: 20px;
      height: 28px;
      background-image: url(./images/mobile_imageGallery_arrowLeft.png);
      background-size: cover;

      @media (min-width: 1024px) {
        order: 2;
        position: relative;
        top: auto;
        bottom: auto;
        left: auto;
        width: 10px;
        height: 19px;
        background-image: url(./images/icon-arrow.png);
        transform: rotate(-180deg);
      }
    }

    &.next {
      position: absolute;
      left: auto;
      right: $global-padding-mobile * 2;
      bottom: 1rem;
      top: auto;
      order: 4;
      flex: 0 1 auto;
      margin: 0 0 0 1rem;
      width: 20px;
      height: 28px;
      background-image: url(./images/mobile_imageGallery_arrow.png);
      background-size: cover;

      @media (min-width: 1024px) {
        order: 4;
        position: relative;
        top: auto;
        bottom: auto;
        width: 10px;
        right: 0;
        height: 19px;
        background-image: url(./images/icon-arrow.png);
      }
    }
  }

  .flickity-page-dots {
    position: absolute;
    bottom: 0;
    margin: 10px 0;
    text-align: center;
    width: 100%;
    order: 3;
    position: relative;
    flex: 0 1 auto;
    width: auto;
    margin: 0;
    display: none;

    @media (min-width: 960px) {
      bottom: 0;
    }

    @media (min-width: 1024px) {
      display: flex;
      align-items: center;
    }
  }

  &__cell {
    width: 100%;

    > div {
      height: 100%;
      width: 96%;

      @include breakpoint($large) {
        width: 100%;
      }
    }

    .carousel__caption {
      display: none;

      &.editing {
        display: block;
        margin-top: 0 !important;
      }
    }
  }
}

.flickity-resize .slider__cell {
  min-height: 100%;
  > div {
    position: absolute;
    @include breakpoint($large) {
      position: relative;
    }
  }
}

.carousel {
  $parent: &;

  position: relative;
  //padding:0 $global-padding-mobile;
  //margin-bottom: 2rem;

  > .wrapper > div {
    height: 100%;
    width: 100%;
    position: relative;
  }

  .slider__controls {
    margin-top: 1rem;
    @include breakpoint($medium) {
      margin: 0;
    }

    ul {
      margin: 0 auto;
      padding: 0;
      display: flex;
      align-items: center;
      justify-content: center;

      li {
        margin: 0;
        padding: 0;
        list-style: none;
        display: block;
        position: relative;
        text-indent: -2000em;
        cursor: pointer;

        &.slider__controls__prev {
          width: 10px;
          height: 19px;
          background-image: url(./images/icon-arrow.png);
          background-size: cover;
          transform: rotate(-180deg);
          margin-right: 1rem;
        }
        &.slider__controls__next {
          width: 10px;
          height: 19px;
          background-image: url(./images/icon-arrow.png);
          background-size: cover;
          margin-left: 1rem;
        }
        &.slider__controls__paging {
          display: inline-block;
          width: 8px;
          height: 8px;
          margin: 0 8px;
          background: #d2d9dc;
          border-radius: 50%;
          opacity: 0.3;
          transition: all linear 200ms;

          &:hover {
            opacity: 1;
          }

          &.selected {
            background-color: #37a640;
            opacity: 1;
          }
        }
      }
    }

    &.slider__controls--right {
      ul {
        justify-content: flex-end;
      }
    }
  }

  &--image {
    opacity: 1;

    #{$parent}__caption {
      margin-left: $global-padding-mobile * 2;
      margin-right: $global-padding-mobile * 2;

      @include breakpoint($large) {
        margin-left: 0;
        margin-right: 0;
      }
    }

    img {
      width: 100%;
      display: block;
      max-width: 100%;
      height: auto;
    }

    @include breakpoint($large) {
      max-width: $article-width-outer;
      margin-left: auto;
      margin-right: auto;
      padding: 0 $global-padding-desktop;
    }

    .slider {
      &:after {
        content: "flickity";
        display: none; /* hide:after */
      }

      .slider__cell {
        > div {
          width: 100%;
        }

        .cms-edit {
          position: absolute;
          top: 0;
          right: 0;
        }
      }
    }

    .slider__controls {
      position: absolute;
      width: 100%;
      bottom: 0;

      @include breakpoint($large) {
        width: auto;
        bottom: -1rem;
        right: 0;
      }

      ul {
        justify-content: space-between !important;
        padding: $global-padding-mobile;

        @include breakpoint($large) {
          padding: 0;
        }

        li.slider__controls__paging {
          display: none;

          @include breakpoint($large) {
            display: inline-block;
          }
        }
      }
    }
  }

  &__caption {
    margin: 0.4rem 0 0;

    @include breakpoint($large) {
      max-width: 65%;
      margin: 0 0 0 0;
    }
  }

  &--2up,
  &--3up,
  &--4up {
    margin-left: -$global-padding-mobile/2;
    margin-right: -$global-padding-mobile/2;

    @include breakpoint($large) {
      margin-left: -$global-padding-desktop/2;
      margin-right: -$global-padding-desktop/2;
    }

    .slider__cell {
      width: 90%;
      padding: $global-padding-mobile/2;
      max-width: 300px;

      @include breakpoint($medium) {
        max-width: none;
      }

      @include breakpoint($large) {
        padding: $global-padding-desktop/2;
      }
    }
  }

  &--2up {
    .slider__cell {
      max-width: 500px;

      @include breakpoint($medium) {
        width: 50%;
      }

      @include breakpoint($large) {
        width: 32%;
      }
    }
  }
  &--3up {
    .slider__cell {
      @include breakpoint($medium) {
        width: 33.333333%;
      }
    }
  }

  &--4up {
    .slider__cell {
      max-width: 400px;

      @include breakpoint($medium) {
        width: 25%;
      }
    }
  }

  &--noMobileCarousel {
    .slider {
      &:after {
        content: "" !important;
      }

      .slider__cell {
        width: 100%;
        flex: 0 0 auto;
        max-width: none;
        > div {
          position: relative;
          width: 100%;
        }
      }
    }

    &.carousel--2up {
      .slider {
        .slider__cell {
          @include breakpoint($medium) {
            width: calc(99.9% / 2);
          }
        }
      }
    }

    &.carousel--3up {
      .slider {
        .slider__cell {
          @include breakpoint($medium) {
            width: calc(99.9% / 3);
          }
        }
      }
    }
  }
}
